[arch-commits] Commit in gpm/repos (14 files)

Eric Bélanger eric at archlinux.org
Wed Jul 11 18:12:29 UTC 2012


    Date: Wednesday, July 11, 2012 @ 14:12:28
  Author: eric
Revision: 163238

archrelease: copy trunk to testing-i686, testing-x86_64

Added:
  gpm/repos/testing-i686/
  gpm/repos/testing-i686/PKGBUILD
    (from rev 163237, gpm/trunk/PKGBUILD)
  gpm/repos/testing-i686/gpm
    (from rev 163237, gpm/trunk/gpm)
  gpm/repos/testing-i686/gpm.conf.d
    (from rev 163237, gpm/trunk/gpm.conf.d)
  gpm/repos/testing-i686/gpm.install
    (from rev 163237, gpm/trunk/gpm.install)
  gpm/repos/testing-i686/gpm.service
    (from rev 163237, gpm/trunk/gpm.service)
  gpm/repos/testing-i686/gpm.sh
    (from rev 163237, gpm/trunk/gpm.sh)
  gpm/repos/testing-x86_64/
  gpm/repos/testing-x86_64/PKGBUILD
    (from rev 163237, gpm/trunk/PKGBUILD)
  gpm/repos/testing-x86_64/gpm
    (from rev 163237, gpm/trunk/gpm)
  gpm/repos/testing-x86_64/gpm.conf.d
    (from rev 163237, gpm/trunk/gpm.conf.d)
  gpm/repos/testing-x86_64/gpm.install
    (from rev 163237, gpm/trunk/gpm.install)
  gpm/repos/testing-x86_64/gpm.service
    (from rev 163237, gpm/trunk/gpm.service)
  gpm/repos/testing-x86_64/gpm.sh
    (from rev 163237, gpm/trunk/gpm.sh)

----------------------------+
 testing-i686/PKGBUILD      |   41 +++++++++++++++++++++++++++++++++++++++++
 testing-i686/gpm           |   41 +++++++++++++++++++++++++++++++++++++++++
 testing-i686/gpm.conf.d    |    4 ++++
 testing-i686/gpm.install   |   16 ++++++++++++++++
 testing-i686/gpm.service   |    9 +++++++++
 testing-i686/gpm.sh        |    3 +++
 testing-x86_64/PKGBUILD    |   41 +++++++++++++++++++++++++++++++++++++++++
 testing-x86_64/gpm         |   41 +++++++++++++++++++++++++++++++++++++++++
 testing-x86_64/gpm.conf.d  |    4 ++++
 testing-x86_64/gpm.install |   16 ++++++++++++++++
 testing-x86_64/gpm.service |    9 +++++++++
 testing-x86_64/gpm.sh      |    3 +++
 12 files changed, 228 insertions(+)

Copied: gpm/repos/testing-i686/PKGBUILD (from rev 163237, gpm/trunk/PKGBUILD)
===================================================================
--- testing-i686/PKGBUILD	                        (rev 0)
+++ testing-i686/PKGBUILD	2012-07-11 18:12:28 UTC (rev 163238)
@@ -0,0 +1,41 @@
+# $Id$
+# Maintainer: Eric Bélanger <eric at archlinux.org>
+
+pkgname=gpm
+pkgver=1.20.6
+pkgrel=9
+pkgdesc="A mouse server for the console and xterm"
+arch=('i686' 'x86_64')
+url="http://www.nico.schottelius.org/software/gpm/"
+license=('GPL')
+depends=('ncurses' 'bash')
+backup=('etc/conf.d/gpm')
+options=('!makeflags')
+install=gpm.install
+source=(http://www.nico.schottelius.org/software/gpm/archives/${pkgname}-${pkgver}.tar.lzma \
+        gpm gpm.conf.d gpm.sh gpm.service)
+sha1sums=('4677da0eb2f1910a5a744bbefa08fea82e0dca0c'
+          '19e1feb1493373512a77801699df012d186336ea'
+          '4c31cb7dd51cee4d16d3f7a8956e6d87fac1ad86'
+          '88fe5ff10916c68a87abc8418a56eb0073f69fa9'
+          'd2ba8def052225002c1f57280565c97c7bc79eac')
+
+build() {
+  cd "${srcdir}/${pkgname}-${pkgver}"
+  ./configure --prefix=/usr --sysconfdir=/etc
+  make
+}
+
+package() {
+  cd "${srcdir}/${pkgname}-${pkgver}"
+  make DESTDIR="${pkgdir}" install
+  install -D -m755 ../gpm "${pkgdir}/etc/rc.d/gpm"
+  install -D -m644 ../gpm.conf.d "${pkgdir}/etc/conf.d/gpm"
+  install -D -m755 ../gpm.sh "${pkgdir}/etc/profile.d/gpm.sh"
+  install -D -m644 ../gpm.service "${pkgdir}/usr/lib/systemd/system/gpm.service"
+
+# library fixes
+  cd "${pkgdir}/usr/lib/"
+  ln -s libgpm.so.2.* libgpm.so
+  chmod 755 "${pkgdir}"/usr/lib/libgpm.so.*
+}

Copied: gpm/repos/testing-i686/gpm (from rev 163237, gpm/trunk/gpm)
===================================================================
--- testing-i686/gpm	                        (rev 0)
+++ testing-i686/gpm	2012-07-11 18:12:28 UTC (rev 163238)
@@ -0,0 +1,41 @@
+#!/bin/bash
+
+# source application-specific settings
+GPM_ARGS=
+[ -f /etc/conf.d/gpm ] && . /etc/conf.d/gpm
+
+. /etc/rc.conf
+. /etc/rc.d/functions
+
+PID=$(pidof -o %PPID /usr/sbin/gpm)
+case "$1" in
+  start)
+    stat_busy "Starting GPM Daemon"
+    [ -z "$PID" ] && /usr/sbin/gpm ${GPM_ARGS}
+    PID=$(pidof -o %PPID /usr/sbin/gpm)
+    if [ -z "$PID" ]; then
+      stat_fail
+    else
+      add_daemon gpm
+      stat_done
+    fi
+    ;;
+  stop)
+    stat_busy "Stopping GPM Daemon"
+    [ ! -z "$PID" ]  && kill $PID &> /dev/null
+    if [ $? -gt 0 ]; then
+      stat_fail
+    else
+      rm_daemon gpm
+      stat_done
+    fi
+    ;;
+  restart)
+    $0 stop
+    sleep 1
+    $0 start
+    ;;
+  *)
+    echo "usage: $0 {start|stop|restart}"  
+esac
+exit 0

Copied: gpm/repos/testing-i686/gpm.conf.d (from rev 163237, gpm/trunk/gpm.conf.d)
===================================================================
--- testing-i686/gpm.conf.d	                        (rev 0)
+++ testing-i686/gpm.conf.d	2012-07-11 18:12:28 UTC (rev 163238)
@@ -0,0 +1,4 @@
+#
+# Parameters to be passed to gpm
+#
+GPM_ARGS="-m /dev/input/mice -t imps2"

Copied: gpm/repos/testing-i686/gpm.install (from rev 163237, gpm/trunk/gpm.install)
===================================================================
--- testing-i686/gpm.install	                        (rev 0)
+++ testing-i686/gpm.install	2012-07-11 18:12:28 UTC (rev 163238)
@@ -0,0 +1,16 @@
+infodir=/usr/share/info
+file=gpm.info.gz
+
+post_install() {
+  [ -x usr/bin/install-info ] || return 0
+  install-info $infodir/$file $infodir/dir 2> /dev/null
+}
+
+post_upgrade() {
+  post_install $1
+}
+
+pre_remove() {
+  [ -x usr/bin/install-info ] || return 0
+  install-info --delete $infodir/$file $infodir/dir 2> /dev/null
+}

Copied: gpm/repos/testing-i686/gpm.service (from rev 163237, gpm/trunk/gpm.service)
===================================================================
--- testing-i686/gpm.service	                        (rev 0)
+++ testing-i686/gpm.service	2012-07-11 18:12:28 UTC (rev 163238)
@@ -0,0 +1,9 @@
+[Unit]
+Description=Virtual console mouse server
+
+[Service]
+Type=forking
+ExecStart=/usr/sbin/gpm
+
+[Install]
+WantedBy=multi-user.target

Copied: gpm/repos/testing-i686/gpm.sh (from rev 163237, gpm/trunk/gpm.sh)
===================================================================
--- testing-i686/gpm.sh	                        (rev 0)
+++ testing-i686/gpm.sh	2012-07-11 18:12:28 UTC (rev 163238)
@@ -0,0 +1,3 @@
+case $( /usr/bin/tty ) in
+    /dev/tty[0-9]*) [ -n "$(pgrep gpm)" ] && /usr/bin/disable-paste ;;
+esac

Copied: gpm/repos/testing-x86_64/PKGBUILD (from rev 163237, gpm/trunk/PKGBUILD)
===================================================================
--- testing-x86_64/PKGBUILD	                        (rev 0)
+++ testing-x86_64/PKGBUILD	2012-07-11 18:12:28 UTC (rev 163238)
@@ -0,0 +1,41 @@
+# $Id$
+# Maintainer: Eric Bélanger <eric at archlinux.org>
+
+pkgname=gpm
+pkgver=1.20.6
+pkgrel=9
+pkgdesc="A mouse server for the console and xterm"
+arch=('i686' 'x86_64')
+url="http://www.nico.schottelius.org/software/gpm/"
+license=('GPL')
+depends=('ncurses' 'bash')
+backup=('etc/conf.d/gpm')
+options=('!makeflags')
+install=gpm.install
+source=(http://www.nico.schottelius.org/software/gpm/archives/${pkgname}-${pkgver}.tar.lzma \
+        gpm gpm.conf.d gpm.sh gpm.service)
+sha1sums=('4677da0eb2f1910a5a744bbefa08fea82e0dca0c'
+          '19e1feb1493373512a77801699df012d186336ea'
+          '4c31cb7dd51cee4d16d3f7a8956e6d87fac1ad86'
+          '88fe5ff10916c68a87abc8418a56eb0073f69fa9'
+          'd2ba8def052225002c1f57280565c97c7bc79eac')
+
+build() {
+  cd "${srcdir}/${pkgname}-${pkgver}"
+  ./configure --prefix=/usr --sysconfdir=/etc
+  make
+}
+
+package() {
+  cd "${srcdir}/${pkgname}-${pkgver}"
+  make DESTDIR="${pkgdir}" install
+  install -D -m755 ../gpm "${pkgdir}/etc/rc.d/gpm"
+  install -D -m644 ../gpm.conf.d "${pkgdir}/etc/conf.d/gpm"
+  install -D -m755 ../gpm.sh "${pkgdir}/etc/profile.d/gpm.sh"
+  install -D -m644 ../gpm.service "${pkgdir}/usr/lib/systemd/system/gpm.service"
+
+# library fixes
+  cd "${pkgdir}/usr/lib/"
+  ln -s libgpm.so.2.* libgpm.so
+  chmod 755 "${pkgdir}"/usr/lib/libgpm.so.*
+}

Copied: gpm/repos/testing-x86_64/gpm (from rev 163237, gpm/trunk/gpm)
===================================================================
--- testing-x86_64/gpm	                        (rev 0)
+++ testing-x86_64/gpm	2012-07-11 18:12:28 UTC (rev 163238)
@@ -0,0 +1,41 @@
+#!/bin/bash
+
+# source application-specific settings
+GPM_ARGS=
+[ -f /etc/conf.d/gpm ] && . /etc/conf.d/gpm
+
+. /etc/rc.conf
+. /etc/rc.d/functions
+
+PID=$(pidof -o %PPID /usr/sbin/gpm)
+case "$1" in
+  start)
+    stat_busy "Starting GPM Daemon"
+    [ -z "$PID" ] && /usr/sbin/gpm ${GPM_ARGS}
+    PID=$(pidof -o %PPID /usr/sbin/gpm)
+    if [ -z "$PID" ]; then
+      stat_fail
+    else
+      add_daemon gpm
+      stat_done
+    fi
+    ;;
+  stop)
+    stat_busy "Stopping GPM Daemon"
+    [ ! -z "$PID" ]  && kill $PID &> /dev/null
+    if [ $? -gt 0 ]; then
+      stat_fail
+    else
+      rm_daemon gpm
+      stat_done
+    fi
+    ;;
+  restart)
+    $0 stop
+    sleep 1
+    $0 start
+    ;;
+  *)
+    echo "usage: $0 {start|stop|restart}"  
+esac
+exit 0

Copied: gpm/repos/testing-x86_64/gpm.conf.d (from rev 163237, gpm/trunk/gpm.conf.d)
===================================================================
--- testing-x86_64/gpm.conf.d	                        (rev 0)
+++ testing-x86_64/gpm.conf.d	2012-07-11 18:12:28 UTC (rev 163238)
@@ -0,0 +1,4 @@
+#
+# Parameters to be passed to gpm
+#
+GPM_ARGS="-m /dev/input/mice -t imps2"

Copied: gpm/repos/testing-x86_64/gpm.install (from rev 163237, gpm/trunk/gpm.install)
===================================================================
--- testing-x86_64/gpm.install	                        (rev 0)
+++ testing-x86_64/gpm.install	2012-07-11 18:12:28 UTC (rev 163238)
@@ -0,0 +1,16 @@
+infodir=/usr/share/info
+file=gpm.info.gz
+
+post_install() {
+  [ -x usr/bin/install-info ] || return 0
+  install-info $infodir/$file $infodir/dir 2> /dev/null
+}
+
+post_upgrade() {
+  post_install $1
+}
+
+pre_remove() {
+  [ -x usr/bin/install-info ] || return 0
+  install-info --delete $infodir/$file $infodir/dir 2> /dev/null
+}

Copied: gpm/repos/testing-x86_64/gpm.service (from rev 163237, gpm/trunk/gpm.service)
===================================================================
--- testing-x86_64/gpm.service	                        (rev 0)
+++ testing-x86_64/gpm.service	2012-07-11 18:12:28 UTC (rev 163238)
@@ -0,0 +1,9 @@
+[Unit]
+Description=Virtual console mouse server
+
+[Service]
+Type=forking
+ExecStart=/usr/sbin/gpm
+
+[Install]
+WantedBy=multi-user.target

Copied: gpm/repos/testing-x86_64/gpm.sh (from rev 163237, gpm/trunk/gpm.sh)
===================================================================
--- testing-x86_64/gpm.sh	                        (rev 0)
+++ testing-x86_64/gpm.sh	2012-07-11 18:12:28 UTC (rev 163238)
@@ -0,0 +1,3 @@
+case $( /usr/bin/tty ) in
+    /dev/tty[0-9]*) [ -n "$(pgrep gpm)" ] && /usr/bin/disable-paste ;;
+esac




More information about the arch-commits mailing list